#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.IO;
//using Syncfusion.XlsIO;
using System.Diagnostics;
using Syncfusion.Windows.Forms;

namespace GDBG_Sample
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();
            this.gridDataBoundGrid1.AllowProportionalColumnSizing = true;
            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 20; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc"+r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridDataBoundGrid1.DataSource = dataSource;

            gridDataBoundGrid1.GridVisualStyles = GridVisualStyles.SystemTheme;

            //To save the modified values in datasource directly.
            this.gridDataBoundGrid1.Binder.DirectSaveCellInfo = true;
            //Event Triggering
            this.gridDataBoundGrid1.Model.QueryCellInfo += Model_QueryCellInfo;
            this.gridDataBoundGrid1.Model.QueryRowHeight += Model_QueryRowHeight;
            this.gridDataBoundGrid1.Model.QueryColWidth += Model_QueryColWidth;
        }

        private void Model_QueryColWidth(object sender, GridRowColSizeEventArgs e)
        {
            if (e.Index > 0)
            {
                e.Size = 250;
                e.Handled = true;
            }
        }

        private void Model_QueryRowHeight(object sender, GridRowColSizeEventArgs e)
        {
            e.Size = 50;
            e.Handled = true;
        }

        //Event Customization
        private void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            //e.Style.Font.Facename = "Arabic Typesetting";
            e.Style.Font.Size = 15f;
            //e.Handled = true;
        }
    }
}